Weakref::release
WeakMap
WeakRef
PHP Manual

# Weakref::valid

(PECL weakref >= 0.1.0)

Weakref::valid — Checks whether the object referenced still exists

### Description

public bool Weakref::valid ( void )

Checks whether the object referenced still exists.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the object still exists and is thus still accessible via Weakref::get(), `FALSE` otherwise.

### See Also

- Weakref::get() - Returns the object pointed to by the weak reference

Weakref::release
WeakMap
WeakRef
PHP Manual